For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all your users
      • GETCheck user permission
      • PUTRevoke user permission
      • PUTResend / Cancel invitation
      • POSTSend invitation to user
      • POSTUpdate permission for a user
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsUser

Send invitation to user

POST
https://api.brevo.com/v3/organization/user/invitation/send
POST
/v3/organization/user/invitation/send
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.user.inviteuser({
8 allFeaturesAccess: true,
9 email: "inviteuser@example.com",
10 privileges: [
11 {},
12 ],
13 });
14}
15main();
1{
2 "status": "OK",
3 "invoice_id": "string"
4}
`Feature` - A Feature represents a specific functionality like Email campaign, Deals, Calls, Automations, etc. on Brevo. While inviting a user, determine which feature you want to manage access to. You must specify the feature accurately to avoid errors. `Permission` - A Permission defines the level of access or control a user has over a specific feature. While inviting user, decide on the permission level required for the selected feature. Make sure the chosen permission is related to the selected feature. Features and their respective permissions are as below: - `email_campaigns`: - "create_edit_delete" - "send_schedule_suspend" - `sms_campaigns`: - "create_edit_delete" - "send_schedule_suspend" - `contacts`: - "view" - "create_edit_delete" - "import" - "export" - "list_and_attributes" - "forms" - `templates`: - "create_edit_delete" - "activate_deactivate" - `workflows`: - "create_edit_delete" - "activate_deactivate_pause" - "settings" - `landing_pages`: - "all" - `transactional_emails`: - "settings" - "logs" - `smtp_api`: - "smtp" - "api_keys" - "authorized_ips" - `user_management`: - "all" - `sales_platform`: - "create_edit_deals" - "delete_deals" - "manage_others_deals_tasks" - "reports" - "settings" - `phone`: - "all" - `conversations`: - "access" - "assign" - "configure" - `senders_domains_dedicated_ips`: - "senders_management" - "domains_management" - "dedicated_ips_management" - `push_notifications`: - "view" - "create_edit_delete" - "send" - "settings" - `companies`: - "manage_owned_companies" - "manage_other_companies" - "settings" **Note**: - If `all_features_access: false` then only privileges are required otherwise if `true` then it's assumed that all permissions will be there for the invited user. - The availability of feature and its permission depends on your current plan. Please select the features and permissions accordingly.
Was this page helpful?
Previous

Update permission for a user

Next
Built with

Feature - A Feature represents a specific functionality like Email campaign, Deals, Calls, Automations, etc. on Brevo. While inviting a user, determine which feature you want to manage access to. You must specify the feature accurately to avoid errors. Permission - A Permission defines the level of access or control a user has over a specific feature. While inviting user, decide on the permission level required for the selected feature. Make sure the chosen permission is related to the selected feature. Features and their respective permissions are as below: - email_campaigns:

  • “create_edit_delete”
  • “send_schedule_suspend”
  • sms_campaigns:
    • “create_edit_delete”
    • “send_schedule_suspend”
  • contacts:
    • “view”
    • “create_edit_delete”
    • “import”
    • “export”
    • “list_and_attributes”
    • “forms”
  • templates:
    • “create_edit_delete”
    • “activate_deactivate”
  • workflows:
    • “create_edit_delete”
    • “activate_deactivate_pause”
    • “settings”
  • landing_pages:
    • “all”
  • transactional_emails:
    • “settings”
    • “logs”
  • smtp_api:
    • “smtp”
    • “api_keys”
    • “authorized_ips”
  • user_management:
    • “all”
  • sales_platform:
    • “create_edit_deals”
    • “delete_deals”
    • “manage_others_deals_tasks”
    • “reports”
    • “settings”
  • phone:
    • “all”
  • conversations:
    • “access”
    • “assign”
    • “configure”
  • senders_domains_dedicated_ips:
    • “senders_management”
    • “domains_management”
    • “dedicated_ips_management”
  • push_notifications:
    • “view”
    • “create_edit_delete”
    • “send”
    • “settings”
  • companies:
    • “manage_owned_companies”
    • “manage_other_companies”
    • “settings” Note: - If all_features_access: false then only privileges are required otherwise if true then it’s assumed that all permissions will be there for the invited user. - The availability of feature and its permission depends on your current plan. Please select the features and permissions accordingly.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Values to create an invitation
all_features_accessbooleanRequired
All access to the features
emailstringRequiredformat: "email"
Email address for the organization
privilegeslist of objectsRequired

Response

Success
statusstring
Status of the API operation.
invoice_idstring
Invoice id

Errors

400
Bad Request Error